﻿using System.ComponentModel.DataAnnotations;

namespace YGNT.Exam.Users.Dto
{
    public class ResetPasswordDto
    {
        /// <summary>
        /// 管理员密码
        /// </summary>
        [Required]
        public string AdminPassword { get; set; }

        /// <summary>
        /// 修改的用户id
        /// </summary>
        [Required]
        public long UserId { get; set; }

        /// <summary>
        /// 新密码
        /// </summary>
        [Required]
        public string NewPassword { get; set; }
    }
}
