﻿using Microsoft.EntityFrameworkCore;
using Abp.Zero.EntityFrameworkCore;
using YGNT.Exam.Authorization.Roles;
using YGNT.Exam.Authorization.Users;
using YGNT.Exam.Messages;
using YGNT.Exam.MultiTenancy;

namespace YGNT.Exam.EntityFrameworkCore
{
    public class ExamDbContext : AbpZeroDbContext<Tenant, Role, User, ExamDbContext>
    {
        /* Define a DbSet for each entity of the application */

        public DbSet<File.Core.File> Files { get; set; }

        public DbSet<UserMessage> UserMessages { get; set; }

        public ExamDbContext(DbContextOptions<ExamDbContext> options)
            : base(options)
        {
        }
    }
}
