﻿using Abp.AutoMapper;
using AutoMapper.Configuration.Conventions;

namespace YGNT.File.Core.Cache
{
    [AutoMapFrom(typeof(File))]
    public class FileCacheItem
    {
        /// <summary>
        /// 文件名称
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// 文件路径(相对路径)
        /// </summary>
        public string Path { get; set; }

        public string Md5 { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        public long Size { get; set; }

        /// <summary>
        /// 文件后缀
        /// </summary>
        public string Suffix { get; set; }
    }
}