﻿using System.Collections.Generic;

namespace YGNT.Infrastructure.Model
{
    public class ListResultDto<T> where T : class
    {
        public ListResultDto()
        {
            Data = new List<T>();
        }

        /// <summary>
        /// 总条数
        /// </summary>
        public int Total { get; set; }
        /// <summary>
        /// 数据
        /// </summary>
        public List<T> Data { get; set; }
    }
}