﻿namespace YGNT.Infrastructure.Model
{
    public class QueryBaseDto
    {
        public QueryBaseDto()
        {
            PageSize = 20;
            PageIndex = 1;
        }

        /// <summary>
        /// 查询关键字(为空查询全部)
        /// </summary>
        public string QueryName { get; set; }

        /// <summary>
        /// 每页条数
        /// </summary>
        public int PageSize { get; set; }

        /// <summary>
        /// 页码
        /// </summary>
        public int PageIndex { get; set; }

        /// <summary>
        /// 是否查询全部(不分页)
        /// </summary>
        public bool QueryAll { get; set; } = false;
    }
}