﻿using Abp.Dependency;
using System.Collections.Generic;
using System.Threading.Tasks;
using YGNT.Infrastructure.Resource.Model;

namespace YGNT.Infrastructure.Resource
{
    public interface IResourceManager : ITransientDependency
    {
        /// <summary>
        /// 获取资源详细信息
        /// </summary>
        /// <param name="resourceList"></param>
        /// <returns></returns>
        Task<Dictionary<string, ResourceInfo>> GetResourceInfo(List<string> resourceList);
        /// <summary>
        /// 获取资源详细信息
        /// </summary>
        /// <param name="resourceId"></param>
        /// <returns></returns>
        Task<ResourceInfo> GetResourceInfo(string resourceId);
    }
}