﻿using System;
using System.Collections.Generic;
using System.Text;

namespace YGNT.QuestionLibrary.Disciplines.Dto
{
    /// <summary>
    /// （学段、年级、课程）
    /// </summary>
    public class DisciplineTreeDto
    {
        /// <summary>
        /// 临时ID
        /// </summary>
        public string id { get; set; }
        /// <summary>
        /// 学段编号
        /// </summary>
        public int learning_period_id { get; set; }
        /// <summary>
        /// 年级编号
        /// </summary>
        public int grade_id { get; set; }
        /// <summary>
        /// 课程编号
        /// </summary>
        public int course_id { get; set; }
        public string full_name { get; set; }
        public string short_name { get; set; }
        public List<DisciplineTreeDto> children { get; set; }
    }
}
