﻿using Abp.Application.Services;
using YGNT.QuestionLibrary.Core.BaseData.PaperStructureSettingParam;

namespace YGNT.QuestionLibrary.EnumDoc
{
    /// <summary>
    /// 枚举文档
    /// </summary>
    public interface IEnumDocAppService : IApplicationService
    {
        #region AnswerSheet
        /// <summary>
        ///  答题卡样式
        /// </summary>
        /// <returns></returns>
        AnswerSheetStyle GetAnswerSheetStyle();

        /// <summary>
        /// 纸张大小
        /// </summary>
        /// <returns></returns>
        AnswerSheetSize GetAnswerSheetSize();

        /// <summary>
        /// 题型答题卡样式
        /// </summary>
        /// <returns></returns>
        QuestionTypeStyle.QuestionTypeAnswerSheetStyle GetQuestionTypeAnswerSheetStyle();

        #endregion
    }
}