﻿using System.Collections.Generic;
using Abp.Application.Services.Dto;
using Mapster;

namespace YGNT.QuestionLibrary.Papers.Dto
{
    /// <summary>
    /// 试卷详情
    /// </summary>
    public class PaperInfoDto : PaperDto
    {
        /// <summary>
        /// 试卷试题
        /// </summary>
        public List<PaperQuestionDto> PaperQuestions { get; set; }

        /// <summary>
        /// 试卷设置
        /// </summary>
        public List<PaperSettingDto> PaperSetting { get; set; }

        /// <summary>
        /// 包含学科
        /// </summary>
        [AdaptIgnore]
        public new List<string> PaperDisciplines { get; set; }

        /// <summary>
        /// 章节统计
        /// </summary>
        public string PaperChapters { get; set; }

        /// <summary>
        /// 知识点统计
        /// </summary>
        public string PaperKnowledgePoints { get; set; }

    }
}