﻿using System;
using Abp.Application.Services.Dto;

namespace YGNT.QuestionLibrary.Papers.Dto
{
    public class PaperProduceResultDto : EntityDto<long>
    {
        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 试卷文件id
        /// </summary>
        public Guid? FileId { get; set; }

        /// <summary>
        /// 试卷包含答案解析文件id
        /// </summary>
        public Guid? FullPaperFileId { get; set; }

        /// <summary>
        /// 试卷答案解析
        /// </summary>
        public Guid? AnswerFileId { get; set; }

        /// <summary>
        /// 答题卡
        /// </summary>
        public Guid? AnswerSheetFileId { get; set; }
    }
}