﻿using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace YGNT.QuestionLibrary.Papers.Dto
{
    /// <summary>
    /// 保存试卷
    /// </summary>
    public class PaperSaveDto
    {
        /// <summary>
        /// 试卷id
        /// </summary>
        [Required]
        public int Id { get; set; }

        /// <summary>
        /// 试卷总分
        /// </summary>
        [Required]
        public float TotalScore { get; set; }

        /// <summary>
        /// 合格分数
        /// </summary>
        [Required]
        public float PassingScore { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Required]
        public List<PaperQuestionSaveDto> PaperQuestions { get; set; }
    }
}