﻿using Abp.Application.Services.Dto;
using Abp.Domain.Entities;
using Mapster;

namespace YGNT.QuestionLibrary.Papers.Dto
{
    /// <summary>
    /// 试题类型分值设置
    /// </summary>
    public class QuestionTypeScoringSettingDto : EntityDto
    {
        /// <summary>
        /// 试题类型
        /// </summary>
        [AdaptIgnore]
        public string QuestionType { get; set; }

        /// <summary>
        /// 评分标准
        /// </summary>
        [AdaptIgnore]
        public string Scoring { get; set; }

        /// <summary>
        /// 评分分值
        /// </summary>
        public float ScoringScore { get; set; }
    }
}