﻿using System.ComponentModel.DataAnnotations;
using YGNT.QuestionLibrary.Core.BaseData;
using YGNT.QuestionLibrary.Core.BaseData.Enum;

namespace YGNT.QuestionLibrary.QuestionTypes.Dto
{
    public class UpdateQuestionTypeDto
    {
        /// <summary>
        /// 试题类型名称
        /// </summary>
        [Required]
        public string Name { get; set; }

        /// <summary>
        /// 试题类别
        /// </summary>
        [Required]
        public QuestionCategory QuestionCategory { get; set; }

        /// <summary>
        /// 题型排序
        /// </summary>
        [Required]
        public int Sort { get; set; }
    }
}