﻿using System;
using System.ComponentModel.DataAnnotations;
using YGNT.QuestionLibrary.Core.Models;

namespace YGNT.QuestionLibrary.Questions.Dto
{
    public class QuestionResolveDto
    {
        /// <summary>
        /// 文件id
        /// </summary>
        [Required]
        public Guid FileId { get; set; }

        /// <summary>
        /// 学科id
        /// </summary>
        [Required]
        public int DisciplineId { get; set; }
        
        /// <summary>
        /// 目标位置
        /// </summary>
        [Required]
        public long TargetId { get; set; }

        /// <summary>
        /// 目标类型
        /// </summary>
        [Required]
        [EnumDataType(typeof(ImportTargetType))]
        public ImportTargetType TargetType { get; set; }
    }
}