﻿using System;
using System.Collections.Generic;
using System.Text;
using YGNT.Infrastructure.Model;

namespace YGNT.QuestionLibrary.Testings.Dto
{
    public class SearchTestingInputDto : SearchBaseInputDto
    {
        /// <summary>
        /// 学段编号
        /// </summary>
        public int? EducationCategorieId { get; set; }
        /// <summary>
        /// 年级编号
        /// </summary>
        public int? GradeId { get; set; }
        /// <summary>
        /// 教材
        /// </summary>
        public int? TextbookId { get; set; }
        /// <summary>
        /// 学科Id
        /// </summary>
        public int? DisciplineId { get; set; }
        /// <summary>
        /// 章节
        /// </summary>
        public int? ChapterId { get; set; }
        /// <summary>
        /// 科目ID 对应三方数据科目
        /// </summary>
        public int? CourseId { get; set; }
        /// <summary>
        /// 知识点
        /// </summary>
        public int? KnowledgeId { get; set; }
    }

    public class SelectTestingInputDto
    {
        public List<int> TestingIds { get; set; }
    }
}
