﻿using Abp.Application.Services.Dto;
using Mapster;

namespace YGNT.QuestionLibrary.Textbooks.Dto
{
    public class TextbookDto : EntityDto
    {
        /// <summary>
        /// 教材名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 学科id
        /// </summary>
        public int DisciplineId { get; set; }

        /// <summary>
        /// 学科
        /// </summary>
        [AdaptIgnore]
        public string Discipline { get; set; }

        /// <summary>
        /// 教育类别
        /// </summary>
        [AdaptIgnore]
        public string EducationCategory { get; set; }

        /// <summary>
        /// 是否激活
        /// </summary>
        public bool IsActive { get; set; }
    }
}