﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using Abp.Domain.Entities;

namespace YGNT.QuestionLibrary.Core.BaseData
{
    /// <summary>
    /// 试卷结构设置
    /// </summary>
    public class PaperStructureSetting : Entity
    {
        /// <summary>
        /// 结构名称
        /// </summary>
        [Required]
        public string Name { get; set; }

        /// <summary>
        /// 编号
        /// </summary>
        [Required]
        public string Code { get; set; }

        /// <summary>
        /// 参数
        /// </summary>
        public string Param { get; set; }

        /// <summary>
        /// 是否默认
        /// </summary>
        [DefaultValue(false)]
        public bool IsDefault { get; set; }

    }
}