﻿using Abp.Dependency;
using Abp.Domain.Entities.Caching;
using Abp.Domain.Repositories;
using Abp.Runtime.Caching;

namespace YGNT.QuestionLibrary.Core.Disciplines.Cache
{
    public class DisciplineCache : EntityCache<Discipline, DisciplineCacheItem>, IDisciplineCache, ITransientDependency
    {
        public DisciplineCache(ICacheManager cacheManager, IRepository<Discipline, int> repository, string cacheName = null) : base(cacheManager, repository, cacheName)
        {
        }
    }
}