﻿using System.Threading.Tasks;
using Abp.Domain.Services;

namespace YGNT.QuestionLibrary.Core.Disciplines.Domain
{
    public interface IDisciplineManager : IDomainService
    {
        /// <summary>
        /// 检查学科名称
        /// </summary>
        /// <param name="name"></param>
        /// <param name="educationCategoryId"></param>
        /// <returns></returns>
        Task CheckNameAsync(string name, int educationCategoryId);
    }
}