﻿using Abp.Dependency;

namespace YGNT.QuestionLibrary.Core.Helper
{
    public interface IDocHelper : ITransientDependency
    {
        /// <summary>
        /// 判断是否为选择题
        /// </summary>
        /// <param name="disciplineQuestionTypeId"></param>
        /// <returns></returns>
        bool IsChoiceQuestion(int disciplineQuestionTypeId);

        /// <summary>
        /// 判断是否为判断题
        /// </summary>
        /// <param name="disciplineQuestionTypeId"></param>
        /// <returns></returns>
        bool IsTrueFalseQuestion(int disciplineQuestionTypeId);

        /// <summary>
        /// 过滤后缀
        /// </summary>
        /// <param name="suffix"></param>
        void Filter(string suffix);
    }
}