﻿using Abp.AutoMapper;

namespace YGNT.QuestionLibrary.Core.KnowledgePoints.Cache
{
    [AutoMapFrom(typeof(KnowledgePoint))]
    public class KnowledgePointCacheItem
    {
        /// <summary>
        /// 知识点名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 父知识点Id
        /// </summary>
        public long? ParentId { get; set; }

        /// <summary>
        /// 所属学科id
        /// </summary>
        public int DisciplineId { get; set; }

        /// <summary>
        /// 认知能力Id
        /// </summary>
        public int CognitiveAbilityId { get; set; }
    }
}