﻿using Abp.Dependency;
using YGNT.QuestionLibrary.Core.Models;

namespace YGNT.QuestionLibrary.Core.Papers.Domain.AutoPaper
{
    /// <summary>
    /// 自动组卷工厂
    /// </summary>
    public interface IAutoPaperManagerFactory : ITransientDependency
    {
        /// <summary>
        /// 获取自动组卷服务
        /// </summary>
        /// <param name="paperCompositionModel"></param>
        /// <returns></returns>
        IAutoPaperManager Create(PaperCompositionModel paperCompositionModel);
    }
}