﻿using System.ComponentModel.DataAnnotations;

namespace YGNT.QuestionLibrary.Core.Questions.Models
{
    public class UpdateOptionDto
    {
        /// <summary>
        /// 选项id(ResolveType为选项的ResolveId) 如果传空为新建
        /// </summary>
        public long? Id { get; set; }

        /// <summary>
        /// 选项的html
        /// </summary>
        [Required]
        public string Html { get; set; }

        /// <summary>
        /// 当前选项是否为答案
        /// </summary>
        [Required]
        public bool IsAnswer { get; set; }
    }
}