﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Abp.Domain.Entities;
using YGNT.QuestionLibrary.Core.KnowledgePoints;

namespace YGNT.QuestionLibrary.Core.Questions
{
    public class QuestionKnowledgePoint : Entity<long>
    {
        [Required]
        public long QuestionId { get; set; }

        [Required]
        [ForeignKey(nameof(QuestionId))]
        public Question Question { get; set; }


        [Required]
        public long KnowledgePointId { get; set; }

        [ForeignKey(nameof(KnowledgePointId))]
        [Required]
        public KnowledgePoint KnowledgePoint { get; set; }
    }
}