﻿using System;
using System.Collections.Generic;
using System.Text;

namespace QuestionSwapDoc.SwapWordModel
{
    public enum SwapTiXinDaTiKaType
    {
        /// <summary>
        /// 自动模式（选择判断为横向，其他题型为长方形空白框）
        /// </summary>
        自动 = 0,
        /// <summary>
        /// 选择判断为横向（只在机读卡中适用）
        /// </summary>
        横向 = 10,
        /// <summary>
        /// 选择判断为竖向（只在机读卡中适用）
        /// </summary>
        竖向,
        /// <summary>
        /// 非选择判断为长方形空白区域
        /// </summary>
        长方形空白框 = 20,
        /// <summary>
        /// 非选择判断为单排横线模式（合适填空题）
        /// </summary>
        单排横线,
        /// <summary>
        /// 非选择判断为多排横线模式（合适英文作文题）
        /// </summary>
        多排横线,
        /// <summary>
        /// 非选择判断为多排正方形网格模式（合适语文作文题）
        /// </summary>
        多排正方形网格,
        /// <summary>
        /// 不为题型下面的题添加答题区域
        /// </summary>
        不显示 = -1,
    }
}
