﻿using System.Threading.Tasks;
using Abp.Authorization;
using Abp.Runtime.Session;
using YGNT.Exam.Configuration.Dto;

namespace YGNT.Exam.Configuration
{
    [AbpAuthorize]
    public class ConfigurationAppService : ExamAppServiceBase, IConfigurationAppService
    {
        public async Task ChangeUiTheme(ChangeUiThemeInput input)
        {
            await SettingManager.ChangeSettingForUserAsync(AbpSession.ToUserIdentifier(), AppSettingNames.UiTheme, input.Theme);
        }
    }
}
