﻿using YGNT.Infrastructure.Model;

namespace YGNT.Exam.Messages.Dto
{
    public class UserMessageSearchInputDto : SearchBaseInputDto
    {
        /// <summary>
        /// 是否已读 不传查询全部
        /// </summary>
        public bool? IsRead { get; set; }

        /// <summary>
        /// 消息类型
        /// </summary>
        public MessageType? MessageType { get; set; }

        /// <summary>
        /// 是否预览,预览模式将不会更新已读
        /// </summary>
        public bool IsPreview { get; set; } = true;
    }
}