using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Abp.Authorization.Roles;
using YGNT.Exam.Authorization.Roles;

namespace YGNT.Exam.Roles.Dto
{
    public class CreateRoleDto
    {
        /// <summary>
        /// ɫ
        /// </summary>
        [Required]
        [StringLength(AbpRoleBase.MaxNameLength)]
        public string Name { get; set; }

        /// <summary>
        /// ʾ
        /// </summary>
        [Required]
        [StringLength(AbpRoleBase.MaxDisplayNameLength)]
        public string DisplayName { get; set; }

        /// <summary>
        /// ׼
        /// </summary>
        public string NormalizedName { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [StringLength(Role.MaxDescriptionLength)]
        public string Description { get; set; }

        /// <summary>
        /// ӵеȨ
        /// </summary>
        public List<string> GrantedPermissions { get; set; }
    }
}
