﻿using System.Collections.Generic;
using System.Threading.Tasks;
using Abp.Application.Services;
using YGNT.Exam.Users.Dto.UserDiscipline;

namespace YGNT.Exam.Users
{
    public interface IUserManagerAppService : IApplicationService
    {
        /// <summary>
        /// 获取用户所属学科
        /// </summary>
        /// <param name="userId"></param>
        /// <returns></returns>
        Task<List<UserDisciplineDto>> GetUserDisciplineAsync(long userId);


        /// <summary>
        /// 分配用户所属学科
        /// </summary>
        /// <param name="userId"></param>
        /// <param name="update"></param>
        /// <returns></returns>
        Task UpdateUserDisciplineAsync(long userId, UpdateUserDisciplineDto update);


    }
}