﻿using Abp.Dependency;
using Abp.Domain.Entities.Caching;
using Abp.Domain.Repositories;
using Abp.Runtime.Caching;

namespace YGNT.Exam.Authorization.Users.Cache
{
    public class UserCache : EntityCache<User, UserCacheItem, long>, IUserCache, ITransientDependency
    {
        public UserCache(ICacheManager cacheManager, IRepository<User, long> repository, string cacheName = null) : base(cacheManager, repository, cacheName)
        {
        }
    }
}