﻿namespace YGNT.Infrastructure.Grpc.Models
{
    public class GrpcUserInfoBase
    {
        /// <summary>
        /// 用户编号
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 昵称
        /// </summary>
        public string NickName { get; set; }
        /// <summary>
        /// 手机号码
        /// </summary>
        public string Mobile { get; set; }
        /// <summary>
        /// 性别 1=男 2=女
        /// </summary>
        public int Gender { get; set; }
        /// <summary>
        /// 身份证
        /// </summary>
        public string IdCard { get; set; }
        /// <summary>
        /// 生日
        /// </summary>
        public string Birthdate { get; set; }
        /// <summary>
        /// 邮箱
        /// </summary>
        public string Email { get; set; }
        /// <summary>
        /// 头像资源编号（需要在资源中获取图片链接）
        /// </summary>
        public string Haed { get; set; }
        /// <summary>
        /// 个性签名
        /// </summary>
        public string Signature { get; set; }
        /// <summary>
        /// 民族
        /// </summary>
        public string Ethnic { get; set; }
        /// <summary>
        /// 用户状态 1=未激活（数据通过导入或系统产生的数据）2=已激活 3=禁用
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 是否存在
        /// </summary>
        public bool IsExist { get; set; }
        /// <summary>
        /// 头像资源编号
        /// </summary>
        public string HaedUrl { get; set; }
        /// <summary>
        /// 真实姓名
        /// </summary>
        public string ActualName { get; set; }
    }
}
