﻿namespace YGNT.Infrastructure.Grpc.Models
{
    public class GrpcUserInfoRegistered
    {
        /// <summary>
        /// 真实姓名
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 身份证
        /// </summary>
        public string IdCard { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string Pwd { get; set; }
        /// <summary>
        /// 手机号码
        /// </summary>
        public string Phone { get; set; }
        /// <summary>
        /// 性别 1=男 2=女
        /// </summary>
        public int? Gender { get; set; }
        /// <summary>
        /// 是否激活的用户
        /// </summary>
        public bool Activate { get; set; } = true;
    }
}
