﻿using System.Collections.Generic;

namespace YGNT.Infrastructure.Model
{
    public class BaseDateDto
    {
        /// <summary>
        /// 数据Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 数据显示名称
        /// </summary>
        public string Name { get; set; }
    }

    public class BaseDateDto<T> : BaseDateDto where T : class
    {
        public List<T> Data { get; set; }
    }
}