﻿namespace YGNT.Infrastructure.Resource.Model
{
    public class ResourceInfo
    {
        /// <summary>
        /// 状态  1=上传中 2=文件上传完成 3=转码中 4=转码完成 5=转码失败
        /// </summary>
        public int Status { get; set; }
        /// <summary>
        /// 预览图
        /// </summary>
        public string PreviewUrl { get; set; }
        /// <summary>
        /// 视频时长（秒）
        /// </summary>
        public float MediaDuration { get; set; }
        /// <summary>
        /// 转码文件数量
        /// </summary>
        public int ChildNumber { get; set; }
        /// <summary>
        /// 资源类型
        /// </summary>
        public string Type { get; set; }
    }
}