﻿using Abp.Application.Services.Dto;
using Mapster;

namespace YGNT.QuestionLibrary.Chapters.Dto
{
    public class ChapterItemDto : EntityDto<long>
    {
        /// <summary>
        /// 章节名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 教材id
        /// </summary>
        public int TextbookId { get; set; }

        /// <summary>
        /// 教材
        /// </summary>
        [AdaptIgnore]
        public string Textbook { get; set; }

        /// <summary>
        /// 所属学科id
        /// </summary>
        public int DisciplineId { get; set; }

        /// <summary>
        /// 所属学科
        /// </summary>
        [AdaptIgnore]
        public string Discipline { get; set; }

        /// <summary>
        /// 父知识点Id
        /// </summary>
        public long? ParentId { get; set; }

        /// <summary>
        /// 是否有子章节
        /// </summary>
        public bool HasChild { get; set; }

        /// <summary>
        /// 目录路径
        /// </summary>
        public string Path { get; set; }

    }
}