﻿using System.ComponentModel.DataAnnotations;

namespace YGNT.QuestionLibrary.Chapters.Dto
{
    public class CreateChapterDto
    {
        /// <summary>
        /// 章节名称
        /// </summary>
        [Required]
        public string Name { get; set; }

        /// <summary>
        /// 教材id
        /// </summary>
        [Required]
        public int TextBookId { get; set; }

        /// <summary>
        /// 父章节id
        /// </summary>
        public long? ParentId { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

    }
}