﻿using Abp.Application.Services.Dto;
using Abp.Domain.Entities;
using Mapster;

namespace YGNT.QuestionLibrary.Disciplines.Dto
{
    /// <summary>
    /// 学科
    /// </summary>
    public class DisciplineDto : EntityDto
    {
        /// <summary>
        /// 学科名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 年级Id
        /// </summary>
        public int GradeId { get; set; }

        /// <summary>
        /// 年级名称
        /// </summary>
        [AdaptIgnore]
        public string GradeName { get; set; }
    }
}