﻿using System;
using System.Collections.Generic;
using System.Text;

namespace YGNT.QuestionLibrary.EducationCategories.Dto
{

    public class GetChildrenAllkvDto
    {
        public int Id { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }
    }

    /// <summary>
    /// 教育类别
    /// </summary>
    public class GetChildrenAllDto : GetChildrenAllkvDto
    {
        /// <summary>
        /// 年级
        /// </summary>
        public IEnumerable<GetChildrenAllGradesDto> Grades { get; set; }
    }

    public class GetChildrenAllGradesDto : GetChildrenAllkvDto
    {
        /// <summary>
        /// 学科
        /// </summary>
        public IEnumerable<GetChildrenAllDisciplinesDto> Disciplines { get; set; }
    }

    public class GetChildrenAllDisciplinesDto : GetChildrenAllkvDto
    {
        /// <summary>
        /// 教材
        /// </summary>
        public IEnumerable<GetChildrenAllTextbooksDto> Textbooks { get; set; }
    }

    public class GetChildrenAllTextbooksDto : GetChildrenAllkvDto
    {

    }

}
