﻿using Abp.Application.Services.Dto;
using Abp.Domain.Entities;
using Mapster;

namespace YGNT.QuestionLibrary.Grades.Dto
{
    /// <summary>
    /// 年级
    /// </summary>
    public class GradeDto : EntityDto
    {
        /// <summary>
        /// 年级名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 教育类别Id
        /// </summary>
        public int EducationCategoryId { get; set; }

        /// <summary>
        /// 教育类别名称
        /// </summary>
        [AdaptIgnore]
        public string EducationCategoryName { get; set; }
    }
}