﻿using System.ComponentModel.DataAnnotations;

namespace YGNT.QuestionLibrary.KnowledgePoints.Dto
{
    public class CreateKnowledgePointDto
    {
        /// <summary>
        /// 知识点名称
        /// </summary>
        [Required]
        public string Name { get; set; }

        /// <summary>
        /// 父知识点Id
        /// </summary>
        public long? ParentId { get; set; }

        /// <summary>
        /// 所属学科id
        /// </summary>
        [Required]
        public int DisciplineId { get; set; }

        /// <summary>
        /// 认知能力Id
        /// </summary>
        public int? CognitiveAbilityId { get; set; }
    }
}