﻿using Abp.Application.Services.Dto;
using Mapster;

namespace YGNT.QuestionLibrary.Papers.Dto
{
    /// <summary>
    /// 试卷细分题型排序设置
    /// </summary>
    public class DisciplineQtSortSettingDto : EntityDto
    {
        /// <summary>
        /// 学科
        /// </summary>
        [AdaptIgnore]
        public string Discipline { get; set; }

        /// <summary>
        /// 学科下细分题型
        /// </summary>
        [AdaptIgnore]
        public string DisciplineQuestionType { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        public int Sort { get; set; }
    }
}