﻿using System.ComponentModel.DataAnnotations;
using Mapster;
using YGNT.QuestionLibrary.Core.BaseData;
using YGNT.QuestionLibrary.Core.BaseData.Enum;

namespace YGNT.QuestionLibrary.QuestionTypes.Dto
{
    public class CreateQuestionTypeDto
    {
        /// <summary>
        /// 试题类型名称
        /// </summary>
        [Required]
        public string Name { get; set; }

        /// <summary>
        /// 题型排序(不传默认最后)
        /// </summary>
        [AdaptIgnore]
        public int? Sort { get; set; }

        /// <summary>
        /// 试题类别(默认为其他)
        /// </summary>
        public QuestionCategory QuestionCategory { get; set; } = QuestionCategory.非客观题;
    }
}