﻿using Abp.Application.Services.Dto;
using Mapster;
using YGNT.QuestionLibrary.Core.BaseData.Enum;

namespace YGNT.QuestionLibrary.QuestionTypes.Dto
{
    public class DisciplineQuestionTypeDto : EntityDto
    {
        /// <summary>
        /// 细分题型名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 学科
        /// </summary>
        [AdaptIgnore]
        public string Discipline { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [AdaptIgnore]
        public string QuestionType { get; set; }


        /// <summary>
        /// 试题类别
        /// </summary>
        public QuestionCategory QuestionCategory { get; set; }
    }
}