﻿using Abp.Application.Services.Dto;
using YGNT.QuestionLibrary.Core.BaseData;
using YGNT.QuestionLibrary.Core.BaseData.Enum;

namespace YGNT.QuestionLibrary.QuestionTypes.Dto
{
    public class QuestionTypeDto : EntityDto
    {
        /// <summary>
        /// 试题类型名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 题型排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 试题类别
        /// </summary>
        public QuestionCategory QuestionCategory { get; set; }
    }
}