﻿using Abp.Domain.Entities;
using YGNT.QuestionLibrary.Core.Models;

namespace YGNT.QuestionLibrary.Questions.Dto
{
    public class ResolveDto : Entity<long>
    {
        /// <summary>
        /// 原始试题数据id
        /// </summary>
        public long QuestionOriginId { get; set; }

        /// <summary>
        /// html文本
        /// </summary>
        public string Html { get; set; }

        /// <summary>
        /// 解析内容的类型
        /// </summary>
        public ResolveType ResolveType { get; set; }

        /// <summary>
        /// 是否是答案
        /// </summary>
        public bool IsAnswer { get; set; }
    }
}