﻿using System;
using Abp.Application.Services.Dto;
using Mapster;
using YGNT.QuestionLibrary.Core.Tasks;
using YGNT.QuestionLibrary.Core.Tasks.Enum;

namespace YGNT.QuestionLibrary.Tasks.Dto.PaperProduce
{
    public class UserPaperProduceTaskDto : EntityDto<long>
    {
        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }

        /// <summary>
        /// 任务状态
        /// </summary>
        public TaskState TaskState { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }

        /// <summary>
        /// 所属学科
        /// </summary>
        [AdaptIgnore]
        public string Discipline { get; set; }
    }
}