﻿using System.Threading.Tasks;
using Abp.Application.Services;
using Abp.Application.Services.Dto;
using YGNT.QuestionLibrary.Tasks.Dto.PaperProduce;

namespace YGNT.QuestionLibrary.Tasks
{
    /// <summary>
    /// 试卷生成任务
    /// </summary>
    public interface IPaperProduceTaskAppService : IApplicationService
    {
        /// <summary>
        /// 查询用户试卷生成任务列表
        /// </summary>
        /// <param name="search"></param>
        /// <returns></returns>
        Task<PagedResultDto<UserPaperProduceTaskDto>> GetListAsync(SearchPaperProduceTaskInputDto search);

        /// <summary>
        /// 删除任务
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task DeleteAsync(long id);
    }
}