﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace YGNT.QuestionLibrary.Testings.Dto
{
    /// <summary>
    /// 创建测验
    /// </summary>
    public class CreateTestingDto
    {
        /// <summary>
        /// 测验名称
        /// </summary>
        [Required]
        public string Name { get; set; }
        /// <summary>
        /// 学科
        /// </summary>
        [Required]
        public int DisciplineId { get; set; }
        /// <summary>
        /// 教材
        /// </summary>
        [Required]
        public int TextbookId { get; set; }
        /// <summary>
        /// 章节
        /// </summary>
        public int ChapterId { get; set; }
    }
}
