﻿using Abp.Domain.Entities.Caching;
using Abp.Domain.Repositories;
using Abp.Runtime.Caching;

namespace YGNT.QuestionLibrary.Core.Chapters.Cache
{
    public class ChapterCache : EntityCache<Chapter, ChapterCacheItem, long>, IChapterCache
    {
        public ChapterCache(ICacheManager cacheManager, IRepository<Chapter, long> repository, string cacheName = null) : base(cacheManager, repository, cacheName)
        {
        }
    }
}