﻿using System;
using System.ComponentModel.DataAnnotations;
using Abp.Domain.Entities;
using Abp.Domain.Entities.Auditing;

namespace YGNT.QuestionLibrary.Core.Chapters
{
    public class ChapterTreePath : Entity<long>
    {
        /// <summary>
        /// 祖先
        /// </summary>
        [Required]
        public long Ancestor { get; set; }

        /// <summary>
        /// 后代
        /// </summary>
        [Required]
        public long Descendant { get; set; }

        /// <summary>
        /// 深度
        /// </summary>
        [Required]
        public long Depth { get; set; }
    }
}