﻿using System.ComponentModel.DataAnnotations;
using Abp.Domain.Entities;

namespace YGNT.QuestionLibrary.Core.Disciplines
{
    public class UserDiscipline : Entity<long>
    {
        /// <summary>
        /// 用户id
        /// </summary>
        [Required]
        public long UserId { get; set; }

        /// <summary>
        /// 学科id
        /// </summary>
        [Required]
        public int DisciplineId { get; set; }

        /// <summary>
        /// 学科
        /// </summary>
        [Required]
        public Discipline Discipline { get; set; }
    }
}