﻿using System.Threading.Tasks;
using Abp.Domain.Services;

namespace YGNT.QuestionLibrary.Core.Papers.Domain
{
    public interface IPaperSettingManager : IDomainService
    {
        /// <summary>
        /// 获取试卷试题类型评分标准
        /// </summary>
        /// <param name="paperId"></param>
        /// <param name="questionTypeId"></param>
        /// <returns></returns>
        Task<Scoring> GetPaperQuestionScoringAsync(int paperId, int questionTypeId);
    }
}