﻿using System.Threading.Tasks;
using Abp.Domain.Services;

namespace YGNT.QuestionLibrary.Core.Papers.Domain
{
    public interface IScoringManager : IDomainService
    {
        /// <summary>
        /// 检查评分标准是否已经使用
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> CheckIsUsedAsync(int id);
    }
}