﻿using System.ComponentModel.DataAnnotations;
using Abp.Domain.Entities;

namespace YGNT.QuestionLibrary.Core.Papers
{
    public class PaperSetting : Entity
    {
        /// <summary>
        /// 试卷id
        /// </summary>
        [Required]
        public int PaperId { get; set; }

        /// <summary>
        /// 试卷结构设置id
        /// </summary>
        [Required]
        public int PaperStructureSettingId { get; set; }

        /// <summary>
        /// 编号
        /// </summary>
        [Required]
        public string PaperStructureSettingCode { get; set; }

        /// <summary>
        /// 参数
        /// </summary>
        public string Param { get; set; }
    }
}