﻿using Abp.AutoMapper;

namespace YGNT.QuestionLibrary.Core.Questions.Cache
{
    [AutoMapFrom(typeof(Question))]
    public class QuestionCacheItem
    {
        /// <summary>
        /// 试题简称
        /// </summary>
        public string ShortName { get; set; }

        /// <summary>
        /// 题型Id
        /// </summary>
        public int QuestionTypeId { get; set; }

        /// <summary>
        /// 难度Id
        /// </summary>
        public int DifficultyId { get; set; }

        /// <summary>
        /// 考点
        /// </summary>
        public string CheckPoints { get; set; }
    }
}