﻿using Abp.AutoMapper;
using YGNT.QuestionLibrary.Core.BaseData;
using YGNT.QuestionLibrary.Core.BaseData.Enum;

namespace YGNT.QuestionLibrary.Core.Questions.Cache
{
    [AutoMapFrom(typeof(QuestionType))]
    public class QuestionTypeCacheItem
    {
        /// <summary>
        /// 试题类型名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 题型排序
        /// </summary>
        public int Sort { get; set; }

        /// <summary>
        /// 题型类别
        /// </summary>
        public QuestionCategory QuestionCategory { get; set; }
    }
}