﻿using System.Threading.Tasks;
using Abp.Domain.Services;

namespace YGNT.QuestionLibrary.Core.Questions.Domain
{
    public interface IQuestionOriginManager : IDomainService
    {
        /// <summary>
        /// 重新生成试题文档
        /// </summary>
        /// <param name="question"></param>
        /// <returns></returns>
        void ProduceDoc(Question question);

        /// <summary>
        /// 重新生成试题结构Html
        /// </summary>
        /// <param name="resolve"></param>
        /// <returns></returns>
        void ReProduceDoc(Resolve resolve);
    }
}