﻿using System.Threading.Tasks;
using Abp.Domain.Services;
using YGNT.QuestionLibrary.Core.Questions;

namespace YGNT.QuestionLibrary.Core.Tasks.Domain
{
    public interface IQuestionConvertManager : IDomainService
    {
        /// <summary>
        /// 试题html转换为word
        /// </summary>
        /// <param name="questionConvertTask"></param>
        void ConvertHtmlToDocByTask(QuestionConvertTask questionConvertTask);

        /// <summary>
        /// 试题html转换为word
        /// </summary>
        /// <param name="questionOrigin"></param>
        /// <returns></returns>
        void ConvertHtmlToDoc(QuestionOrigin questionOrigin);

        /// <summary>
        /// 替换试题
        /// </summary>
        /// <param name="questionReplaceTask"></param>
        void QuestionReplace(QuestionReplaceTask questionReplaceTask);
    }
}