﻿using System;
using System.ComponentModel.DataAnnotations;
using Abp.Domain.Entities;
using YGNT.QuestionLibrary.Core.Tasks.Enum;

namespace YGNT.QuestionLibrary.Core.Tasks
{
    public class QuestionReplaceTask : Entity<long>, ISoftDelete
    {
        /// <summary>
        /// 试题id
        /// </summary>
        [Required]
        public long QuestionId { get; set; }

        /// <summary>
        /// 文件id
        /// </summary>
        [Required]
        public Guid FileId { get; set; }

        public string Remark { get; set; }

        /// <summary>
        /// 任务状态
        /// </summary>
        public TaskState TaskState { get; set; }


        public bool IsDeleted { get; set; }
    }
}