﻿using System.ComponentModel.DataAnnotations;
using Abp.Domain.Entities;
using YGNT.QuestionLibrary.Core.Questions;

namespace YGNT.QuestionLibrary.Core.Tasks
{
    /// <summary>
    /// 解析任务试题
    /// </summary>
    public class ResolveTaskQuestion : Entity<long>
    {
        /// <summary>
        /// 试题解析任务id
        /// </summary>
        [Required]
        public long QuestionResolveTaskId { get; set; }

        /// <summary>
        /// 试题原始数据id
        /// </summary>
        [Required]
        public long QuestionOriginId { get; set; }

        /// <summary>
        /// 试题原始数据
        /// </summary>
        public QuestionOrigin QuestionOrigin { get; set; }

        /// <summary>
        /// 试题解析任务
        /// </summary>
        [Required]
        public QuestionResolveTask QuestionResolveTask { get; set; }
    }
}