﻿using Abp.Domain.Entities;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;

namespace YGNT.QuestionLibrary.Core.Testings
{
    /// <summary>
    /// 测验类型
    /// </summary>
    public class TestingType : Entity
    {
        /// <summary>
        /// 测验类型名称
        /// </summary>
        [Required]
        [MaxLength(30)]
        public string Name { get; set; }


        /// <summary>
        /// 测验类型排序
        /// </summary>
        [Required]
        public int Sort { get; set; }
    }
}
