﻿using System.Threading.Tasks;
using Abp.Domain.Services;

namespace YGNT.QuestionLibrary.Core.Textbooks.Domain
{
    public interface ITextbookManager : IDomainService
    {
        /// <summary>
        /// 检查教材名称是否被占用
        /// </summary>
        /// <param name="name"></param>
        /// <param name="disciplineId"></param>
        /// <returns></returns>
        Task CheckNameAsync(string name, int disciplineId);
    }
}